SU(1)

NAME
su - substitute user identity

SYNOPSIS
su [-K | --no-kerberos] [-f] [-l | --full] [-m] [-i instance --instance=instance] [-c command --command=command] [login [shell arguments]]

DESCRIPTION
su will use Kerberos authentication provided that an instance for the user wanting to change effective UID is present in a file named .k5login in the target user id's home directory

A special case exists for ‘root’ where roots ~/.k5login needs to contain a row like: " user/root@REALM " for su to succed.

In the absence of either an entry for current user in said file or other problems like missing host/hostname@REALM keys in systems keytab, or user typing the wrong password, su will fall back to traditional /etc/passwd authentication.

The options are as follows:

-K, --no-kerberos don't use Kerberos.

-f don't read .cshrc.

-l, --full simulate full login.

-m leave environment unmodified.

-i instance, --instance=instance root instance to use.

-c command, --command=command command to execute.

BUGS
Note that on BSD systems, where system su honors wheel group and denies su to others, all users may become root if they know the root password, regardless of wheel membership.